Import rpm: 75ff1ff2271f83f436bb2a9f79fd590d3ffd2f37

This commit is contained in:
James Antill 2023-02-23 12:39:59 -05:00
parent 1ab36f0ea1
commit 5258450031
3 changed files with 164 additions and 43 deletions

4
.gitignore vendored
View File

@ -1,5 +1,5 @@
SOURCES/dnsname-18822f9.tar.gz
SOURCES/podman-4.0.2-342c825.tar.gz
SOURCES/gvisor-tap-vsock-fdc231ae7b8fe1aec4cf0b8777274fa21b70d789.tar.gz
SOURCES/podman-machine-cni-0749884.tar.gz
SOURCES/v0.1.0.tar.gz
SOURCES/v0.1.7.tar.gz
SOURCES/v4.3.1-rhel-d9a6336.tar.gz

View File

@ -7,22 +7,23 @@
GO111MODULE=off go build -buildmode pie -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "${LDFLAGS:-} -linkmode=external -compressdwarf=false -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags'" -a -v %{?**};
%global import_path github.com/containers/podman
#%%global branch v4.0
%global commit0 342c8259381b63296e96ad29519bd4b9c7afbf97
%global branch v4.3.1-rhel
%global commit0 d9a633633d23649833438faf8f2ecf7ae2be27fd
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global cataver 0.1.7
#%%global dnsnamever 1.3.0
%global commit_dnsname 18822f9a4fb35d1349eb256f4cd2bfd372474d84
%global shortcommit_dnsname %(c=%{commit_dnsname}; echo ${c:0:7})
%global gvproxyrepo gvisor-tap-vsock
%global gvproxyver 0.1.0
%global gvproxyver 0.4.0
%global commit_gvproxy fdc231ae7b8fe1aec4cf0b8777274fa21b70d789
%global commit_mcni 0749884b8d1a455c68da30789e37811ec0809d51
%global shortcommit_mcni %(c=%{commit_mcni}; echo ${c:0:7})
Epoch: 2
Epoch: 3
Name: podman
Version: 4.0.2
Release: 1%{?dist}
Version: 4.3.1
Release: 2%{?dist}
Summary: Manage Pods, Containers and Container Images
License: ASL 2.0 and GPLv3+
URL: https://%{name}.io/
@ -35,12 +36,12 @@ Source1: https://github.com/openSUSE/catatonit/archive/v%{cataver}.tar.gz
#Source2: https://github.com/containers/dnsname/archive/v%%{dnsnamever}.tar.gz
Source2: https://github.com/containers/dnsname/archive/%{commit_dnsname}/dnsname-%{shortcommit_dnsname}.tar.gz
Source3: https://github.com/containers/%{name}-machine-cni/archive/%{commit_mcni}/%{name}-machine-cni-%{shortcommit_mcni}.tar.gz
Source4: https://github.com/containers/%{gvproxyrepo}/archive/v%{gvproxyver}.tar.gz
Source4: https://github.com/containers/gvisor-tap-vsock/archive/%{commit_gvproxy}/gvisor-tap-vsock-%{commit_gvproxy}.tar.gz
# https://fedoraproject.org/wiki/PackagingDrafts/Go#Go_Language_Architectures
ExclusiveArch: %{go_arches}
Provides: %{name}-manpages = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-manpages < %{epoch}:%{version}-%{release}
BuildRequires: golang >= 1.16.6
BuildRequires: golang >= 1.17.7
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: glibc-static
@ -57,18 +58,20 @@ BuildRequires: make
BuildRequires: systemd
BuildRequires: systemd-devel
BuildRequires: shadow-utils-subid-devel
BuildRequires: python3
# for catatonit
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: file
BuildRequires: gcc
BuildRequires: libtool
Requires: containers-common >= 2:1-2
Requires: containers-common >= 2:1-27
Requires: containernetworking-plugins >= 0.9.1-1
Suggests: netavark
Requires: iptables
Requires: nftables
Obsoletes: oci-systemd-hook < 1
Requires: libseccomp >= 2.4.1
Requires: libseccomp >= 2.5
Requires: conmon >= 2.0.25
Requires: (container-selinux if selinux-policy)
Requires: slirp4netns >= 0.4.0-1
@ -178,17 +181,34 @@ dynamic port forwarding.
%autosetup -Sgit -n %{name}-%{commit0}
%endif
sed -i 's;@@PODMAN@@\;$(BINDIR);@@PODMAN@@\;%{_bindir};' Makefile
sed -i 's,-Werror,,' pkg/rootless/rootless_linux.go
tar fx %{SOURCE1}
pushd catatonit-%{cataver}
sed -i '$d' configure.ac
popd
tar fx %{SOURCE2}
tar fx %{SOURCE3}
tar fx %{SOURCE4}
mv pkg/hooks/README.md pkg/hooks/README-hooks.md
# this is shipped by skopeo: containers-common subpackage
rm -rf docs/source/markdown/containers-mounts.conf.5.md
%build
# build catatonit first because C code
pushd catatonit-%{cataver}
autoreconf -fi
%configure
CFLAGS="%{optflags} -fPIE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%{__make} %{?_smp_mflags}
# Make sure we *always* build a static binary for catatonit. Otherwise we'll break containers
# that don't have the necessary shared libs.
file catatonit | grep 'statically linked'
if [ $? != 0 ]; then
echo "ERROR: catatonit binary must be statically linked!"
exit 1
fi
popd
export GO111MODULE=off
export GOPATH=$(pwd)/_build:$(pwd)
CGO_CFLAGS="%{optflags} -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
@ -210,10 +230,11 @@ ln -s vendor src
rm -rf vendor/github.com/containers/storage/drivers/register/register_btrfs.go
unset LDFLAGS
# build date. FIXME: Makefile uses '/v2/libpod', that doesn't work here?
LDFLAGS="-X %{import_path}/libpod/define.buildInfo=$(date +%s)"
# build rootlessport first
# build rootlessport
%gobuild -o bin/rootlessport %{import_path}/cmd/rootlessport
export BUILDTAGS="seccomp btrfs_noversion exclude_graphdriver_devicemapper exclude_graphdriver_btrfs $(hack/libdm_tag.sh) $(hack/selinux_tag.sh) $(hack/systemd_tag.sh) $(hack/libsubid_tag.sh)"
@ -225,22 +246,6 @@ export BUILDTAGS="remote $BUILDTAGS"
%{__make} docs
# build catatonit
LDFLAGS="%__global_ldflags"
CFLAGS="%{optflags} -fPIE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
pushd catatonit-%{cataver}
autoreconf -fi
%configure
%{__make} %{?_smp_mflags}
# Make sure we *always* build a static binary for catatonit. Otherwise we'll break containers
# that don't have the necessary shared libs.
file catatonit | grep 'statically linked'
if [ $? != 0 ]; then
echo "ERROR: catatonit binary must be statically linked!"
exit 1
fi
popd
# build dnsname plugin
unset LDFLAGS
pushd dnsname-%{commit_dnsname}
@ -265,15 +270,15 @@ export GOPATH=$(pwd)/_build:$(pwd)
%gobuild -o bin/%{name}-machine github.com/containers/%{name}-machine-cni/plugins/meta/%{name}-machine
popd
pushd %{gvproxyrepo}-%{gvproxyver}
pushd gvisor-tap-vsock-%{commit_gvproxy}
mkdir _build
pushd _build
mkdir -p src/github.com/containers
ln -s ../../../../ src/github.com/containers/%{gvproxyrepo}
ln -s ../../../../ src/github.com/containers/gvisor-tap-vsock
popd
ln -s vendor src
export GOPATH=$(pwd)/_build:$(pwd)
%gobuild -o bin/gvproxy github.com/containers/%{gvproxyrepo}/cmd/gvproxy
%gobuild -o bin/gvproxy github.com/containers/gvisor-tap-vsock/cmd/gvproxy
popd
%install
@ -315,7 +320,7 @@ pushd %{name}-machine-cni-%{commit_mcni}
popd
# install gvproxy
pushd %{gvproxyrepo}-%{gvproxyver}
pushd gvisor-tap-vsock-%{commit_gvproxy}
install -dp %{buildroot}%{_libexecdir}/%{name}
install -p -m0755 bin/gvproxy %{buildroot}%{_libexecdir}/%{name}
popd
@ -344,12 +349,21 @@ export GOPATH=%{buildroot}/%{gopath}:$(pwd)/vendor:%{gopath}
%{_bindir}/%{name} system renumber
exit 0
%preun
if [ $1 == 0 ]; then
systemctl stop podman.service > /dev/null 2>&1 || :
systemctl stop podman.socket > /dev/null 2>&1 || :
systemctl disable podman.service > /dev/null 2>&1 || :
systemctl disable podman.socket > /dev/null 2>&1 || :
fi
:
#define license tag if not already defined
%{!?_licensedir:%global license %doc}
%files -f podman.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md pkg/hooks/README-hooks.md install.md transfer.md
%doc README.md CONTRIBUTING.md install.md transfer.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/rootlessport
%{_datadir}/bash-completion/completions/%{name}
@ -371,6 +385,7 @@ exit 0
%files docker
%{_bindir}/docker
%{_usr}/lib/tmpfiles.d/%{name}-docker.conf
%{_datadir}/user-tmpfiles.d/podman-docker.conf
%files remote
%license LICENSE
@ -403,12 +418,118 @@ exit 0
%{_datadir}/%{name}/test
%files gvproxy
%license %{gvproxyrepo}-%{gvproxyver}/LICENSE
%doc %{gvproxyrepo}-%{gvproxyver}/README.md
%license gvisor-tap-vsock-%{commit_gvproxy}/LICENSE
%doc gvisor-tap-vsock-%{commit_gvproxy}/README.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/gvproxy
%changelog
* Thu Dec 15 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.3.1-2
- update to the latest content of https://github.com/containers/podman/tree/v4.3.1-rhel
(https://github.com/containers/podman/commit/d9a6336)
- Resolves: #2144754
* Mon Nov 14 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.3.1-1
- update to https://github.com/containers/podman/releases/tag/v4.3.1
- Related: #2123641
* Mon Nov 07 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.3.0-2
- fix build
- Resolves: #2124430
* Wed Nov 02 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.3.0-1
- update to https://github.com/containers/podman/releases/tag/v4.3.0
- Related: #2123641
* Mon Oct 31 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.2.0-3
- update to the latest content of https://github.com/containers/podman/tree/v4.2.0-rhel
(https://github.com/containers/podman/commit/35c0df3)
- Related: #2123641
* Fri Oct 21 2022 Jindrich Novy <jnovy@redhat.com> - 3:4.2.0-2
- update to the latest content of https://github.com/containers/podman/tree/v4.2.0-rhel
(https://github.com/containers/podman/commit/d520a5c)
- Related: #2123641
* Mon Oct 17 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.0-1
- update to the latest content of https://github.com/containers/podman/tree/v4.2.0-rhel
(https://github.com/containers/podman/commit/4978898)
- Related: #2123641
* Wed Sep 28 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.1-3
- switch to upstream maintenance branch
- Resolves: #2126697
- Resolves: #2097708
* Thu Sep 15 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.1-2
- fix source tarball list
- Related: #2123641
* Thu Sep 08 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.1-1
- update to https://github.com/containers/podman/releases/tag/v4.2.1
- Related: #2123641
* Thu Aug 11 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.0-1
- update to https://github.com/containers/podman/releases/tag/v4.2.0
(https://github.com/containers/podman/commit/7fe5a419cfd2880df2028ad3d7fd9378a88a04f4)
- Related: #2061390
* Fri Aug 05 2022 Lokesh Mandvekar <lsm5@redhat.com> - 2:4.2.0-0.2rc3
- update to 4.2.0-rc3
- Related: #2061390
* Mon Aug 01 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.2.0-0.1rc2
- update to 4.2.0-rc2
- Related: #2061390
* Fri Jul 08 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-6
- update to the latest content of https://github.com/containers/podman/tree/v4.1.1-rhel
(https://github.com/containers/podman/commit/fa692a6)
- Related: #2061390
* Fri Jul 01 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-5
- don't allow systemd commands to fail the transaction
- Related: #2061390
* Thu Jun 30 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-4
- stopping service/socket might execute podman command too - move to preun
- Related: #2061390
* Thu Jun 30 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-3
- be sure podman socket is stopped only in case of package removal
- Related: #2061390
* Thu Jun 30 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-2
- be sure podman socket is closed after podman package is removed
- Related: #2061390
* Wed Jun 15 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.1-1
- update to https://github.com/containers/podman/releases/tag/v4.1.1
- Related: #2061390
* Wed May 18 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.0-3
- Require CNI and make netavark optional
- Related: #2061390
* Wed May 11 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.0-2
- update gvisor-tap-vsock to 0.2.0 to fix compilation with golang 1.18
- Related: #2061390
* Mon May 09 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.1.0-1
- update to https://github.com/containers/podman/releases/tag/v4.1.0
- Related: #2061390
* Fri Apr 08 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.0.3-2
- Related: #2061390
* Fri Apr 01 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.0.3-1
- update to https://github.com/containers/podman/releases/tag/v4.0.3
- Related: #2061390
* Fri Mar 18 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.0.2-2
- bump minimal libseccomp version requirement
- Related: #2061390
* Mon Mar 07 2022 Jindrich Novy <jnovy@redhat.com> - 2:4.0.2-1
- update to https://github.com/containers/podman/releases/tag/v4.0.2
- Related: #2061390

10
sources
View File

@ -1,5 +1,5 @@
SHA512 (dnsname-18822f9.tar.gz) = de371722fbf18cd23b31485ee7ba36bb41d0d9a932d15e50872989c3ca1ff7246da63143c3725d81089fadda3821a54c18b22150d9d16005b07df6824f5f71f8
SHA512 (podman-4.0.2-342c825.tar.gz) = 62639b05dd188b6c0fc6103a52e41d00cdacd059afeb5ebf869e82e3bc1b5e2995a50cec77aa2efdbedbe86ef6ee6df30383039c81e5a9450137fce86a93973f
SHA512 (podman-machine-cni-0749884.tar.gz) = fe5f6a69118c0d3475c76c61bf1b50f1d5772fe9a4d20b23e59010e72f8cbd7fb7d4091ce8ab43af8becf77e5234b63191e3e01932f30f8386235822de2e42f4
SHA512 (v0.1.0.tar.gz) = 72d27e2a7c20f956a177bcda96508c1ec7b8ac0a512f9ab1a045bcf2450c8c13e6b37033053dc68af986194c9381d1be9d065fbdfbbffe8634ea525924a35ebc
SHA512 (v0.1.7.tar.gz) = 7d3174c60e1c8bd1f4b95b7751ccbe01cac63265060f18914b53311f68f7b4c63c693604f348ccfac5db4a96939169f835fbbbd614803b18062053d94f7dca67
SHA1 (dnsname-18822f9.tar.gz) = 00c35447384f51ccc2360965b80868fc91293711
SHA1 (gvisor-tap-vsock-fdc231ae7b8fe1aec4cf0b8777274fa21b70d789.tar.gz) = 4f46b03a20ca141f7ea10800282c0ba5aff9dcc2
SHA1 (podman-machine-cni-0749884.tar.gz) = 70b08b173bdf0d1325fce035c186b43085865587
SHA1 (v0.1.7.tar.gz) = 94419a237f932ff2a79c91f6e3005034d9c367a5
SHA1 (v4.3.1-rhel-d9a6336.tar.gz) = a2d1be2cdd5b118a046273fb9b298ca110bdd62c